
/* MEGAMENU STYLE
=================================*/
nav.main-menu .mega-menu-item.megamenu-fw {
    position: static;
}
nav.main-menu .megamenu-fw .mega-submenu, nav.main-menu .megamenu-content {
    width: auto !important;
}
nav.main-menu .megamenu-fw .mega-submenu .row{
    margin: 0;
}
nav.main-menu .megamenu-content {
    width: 100%;
}
nav.main-menu .megamenu-content .title{
    margin: 0;
    display: block;
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    font-weight: 500;
    font-size: 14px;
    text-transform: capitalize;
    padding: 6px 20px;
    color: inherit;
    border-right: 1px solid transparent;
}
nav.main-menu .mega-menu-item.megamenu-fw .mega-submenu {
    left: 0;
    right: 0;
}


nav.main-menu ul { 
  padding: 0px; 
  margin: 0px; 
  list-style: none;
}
nav.main-menu ul li {
}
nav.main-menu{
    margin-bottom: 0;
    -moz-border-radius: 0px;
    -webkit-border-radius: 0px;
    -o-border-radius: 0px;
    border-radius: 0px;
    border: none;
    z-index: 2;
}
nav.main-menu li ul.mega-submenu:not(.mobile-show nav.main-menu li ul.mega-submenu) {
    position: absolute;
    display: block;
    overflow: hidden;
    overscroll-behavior: contain;
    width: 100%;
    left: 0;
    right: 0;
    visibility: hidden;
    top: var(--height-header);
    -webkit-clip-path: polygon(0% 0%, 0% 0%, 100% 0%, 100% 0%);
    clip-path: polygon(0% 0%, 0% 0%, 100% 0%, 100% 0%);
    -webkit-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
    background-color: #fff;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 12px;
}
nav.main-menu li ul.mega-submenu.altili:not(.mobile-show nav.main-menu li ul.mega-submenu){
    grid-template-columns: repeat(6, 1fr);
}
nav.main-menu ul.menu > li{
    display: inline-block;
}
/* 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(1), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(5), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(9) { grid-column: 1/4; }
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(2), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(6), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(10){ grid-column: 4/7; }
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(3), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(7), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(11){ grid-column: 7/10; }
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(4), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(8), 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:nth-of-type(12) { grid-column: 10/-1; }
 */
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li{ opacity: 0.25; transition: all .5s;}
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:first-child, 
.ttm-header-style-01:not(.mobile-show) nav.main-menu ul.menu li ul.mega-submenu li:hover{ opacity: 1; transition: all .5s; }
nav.main-menu ul.menu li ul.mega-submenu li a {
    display: block;
    padding: 16px 0 15px;
    margin: 0 25px;
    text-align: left;
    border-radius: 0;
    color: #000;
    -webkit-transition: all .3s linear;
    transition: all .3s linear;
    font-family: var(--secondary-fonts);
    font-weight: 300;
    font-size: 32px;
    line-height: 40px;
    
}
nav.main-menu ul.menu li ul.mega-submenu li span a {
    display: block;
    color: #000;
    font-size: 17px;
    line-height: 8px;
    font-weight: 300;
    font-family: var(--title-fonts);
    text-decoration: none;
    padding-left: 11px;
    opacity: .5;
    transition: all .3s linear;
}
nav.main-menu ul.menu li ul.mega-submenu li span a:hover {
    opacity: 1;
}

nav.main-menu ul.menu li ul.mega-submenu > li:last-child > a {
    border-bottom: 0;
}
nav.main-menu ul.menu li ul.mega-submenu li:not(:last-child) a:before {
    content: "";
    display: block;
    position: absolute;
    height: 1px;
    bottom: 0;
    left: 25px;
    right: 25px;
    transform: scaleX(0);
}
nav.main-menu ul.menu li ul.mega-submenu li a:hover:before {
    transform: scaleX(1);
    transform-origin: left;
    -webkit-transition: .5s all ease;
    -khtml-transition: .5s all ease;
    -moz-transition: .5s all ease;
    -ms-transition: .5s all ease;
    -o-transition: .5s all ease;
    transition: .5s all ease;
}
ul.menu-col li a{
    color: #6f6f6f;
}
ul.menu-col li a:hover,
ul.menu-col li a:focus{
    text-decoration: none;
}

nav.main-menu li.mega-menu-item ul.mega-submenu:not(.mobile-show nav.main-menu li.mega-menu-item ul.mega-submenu){
    min-height: 260px;
    padding: 40px;
}

/* Responsive
=================================*/
@media (min-width: 1200px) {
    
    nav.main-menu li.mega-menu-item ul.mega-submenu li ul {
        left: 100%;
        top: 0;
        border-top: 0;
    }
    nav.main-menu li.mega-menu-item:last-child > ul {
        right: 0;
        left: auto;
    }
    nav.main-menu ul.menu > li > a{
        display: block;
        position: relative;
        font-weight: 500;
        font-size: 15px;
        line-height: 15px;
        letter-spacing: 0;
    }
    nav.main-menu li.mega-menu-item ul.mega-submenu li.mega-menu-item > a.mega-menu-link:after {
        font-family: 'Font Awesome 6 Pro';
        float: right;
        content: "\f105";
        margin-top: 0;
    }
    nav.main-menu ul.mega-submenu.megamenu-content .col-menu{
        padding: 0;
        width: 240px;
        border-right: solid 1px #f0f0f0;
    }
    nav.main-menu ul.mega-submenu.megamenu-content .col-menu:first-child{
        border-left: none;
    }
    nav.main-menu ul.mega-submenu.megamenu-content .col-menu:last-child{
        border-right: none;
    }
    nav.main-menu ul.mega-submenu.megamenu-content .content ul.menu-col li:last-child a{ 
        border-bottom: unset;
    }
    nav.main-menu li.mega-menu-item.on ul.mega-submenu.megamenu-content .content{
        display: block !important;
        height: auto !important;
    }
    nav.main-menu li.mega-menu-item > ul.mega-submenu.active {
        visibility: visible !important;
        opacity: 1 !important;
        filter: alpha(opacity=100) !important;
        -webkit-clip-path: polygon(0% 0%, 0% 100%, 100% 100%, 100% 0%) !important;
        clip-path: polygon(0% 0%, 0% 100%, 100% 100%, 100% 0%) !important;
    }
    nav.main-menu .megamenu-content .megamenu-content-inner {
        display: flex;
    }
    .ttm-header-style-01:not(.mobile-show) #site-header-menu .site-navigation ul.menu > li:hover a{
        font-weight: 400;
    }
}


@media (max-width: 1199px) {
    .menubar{
        position: absolute;
        right: 50px;
        top: 40px;
        z-index: 99999;
        cursor: pointer;
    }
    .menubar-box {
        display: block;
        width: 30px;
        height: 24px;
    }
    .menubar-inner, .menubar-inner:after, .menubar-inner:before {
        position: absolute;
        width: 30px;
        height: 1px;
        transition-timing-function: ease;
        transition-duration: .15s;
        transition-property: transform;
        border-radius: 4px;
        background-color: var(--white-color);
    }
    .fixed-header .menubar-inner, .fixed-header .menubar-inner:after, .fixed-header .menubar-inner:before{
        background-color: #000 !important;
    }
    .menubar--squeeze .menubar-inner {
        top: 50%;
        display: block;
        transition-timing-function: cubic-bezier(.55,.055,.675,.19);
        transition-duration: .1s;
    }
    .menubar-inner:after, .menubar-inner:before {
        display: block;
        content: '';
    }
    .menubar-inner:after {
        bottom: -10px;
    }
    .menubar-inner:before {
        top: -10px;
    }
    .menubar--squeeze.is-active .menubar-inner {
        transition-delay: .14s;
        transition-timing-function: cubic-bezier(.215,.61,.355,1);
        transform: rotate(45deg);
        background-color: #000;
    }
    .menubar--squeeze.is-active .menubar-inner:before {
        top: 0;
        transition: top .1s ease,opacity .1s ease .14s;
        opacity: 0;
        background-color: #000;
    }
    .menubar--squeeze.is-active .menubar-inner:after {
        bottom: 0;
        transition: bottom .1s ease,transform .1s cubic-bezier(.215,.61,.355,1) .14s;
        transform: rotate(-90deg);
        background-color: #000;
    }


    nav.main-menu {
        position: fixed;
        top: 0;
        right: -100%; /* başlangıçta gizli */
        width: 100%; /* menü genişliği, istersen %100 yapabilirsin */
        height: 100vh;
        background-color: #fff;
        z-index: 999;
        overflow-y: auto;
        transition: right 1.5s ease;
        box-shadow: 2px 0 8px rgba(0,0,0,0.2);
    }
    nav.main-menu.show{
        right: 0;
    }
    
    nav.main-menu ul.menu{
        padding-top: 120px;
        padding-left: 40px;
    }
    nav.main-menu ul.menu > li{
        margin-bottom: 30px;
    }
    nav.main-menu ul.menu, nav.main-menu ul.menu > li{
        display: block;
        position: relative;
    }
    nav.main-menu ul.menu > li > a{
        font-family: var(--secondary-fonts) !important;
        font-size: 32px !important;
        line-height: 1.2;

        color: #000;
        text-decoration: none;
        background: transparent;
        border: 0;
    }
    nav.main-menu ul.menu > li:first-child > a{
        border-top: none;
    }
    nav.main-menu ul.menu li ul.mega-submenu li a{
        border-bottom: 0;
    }
    nav.main-menu ul.menu li > ul.mega-submenu li a:hover{
        background-color: transparent;
    }
    nav.main-menu ul.menu li ul.mega-submenu li:not(:first-child) a {
        border-top: 1px solid rgba( 93,93,93,0.07)
    }
    nav.main-menu li.mega-menu-item:first-child a.mega-menu-link:after {
        content: unset;
    }

    nav.main-menu li.mega-menu-item:first-child > a.mega-menu-link.active:after {
        content: unset;
    }
    nav.main-menu li.mega-menu-item a.mega-menu-link:after{
        font-family: 'Font Awesome 6 Pro';
        content: "\f105";
        float: right;
        font-size: 16px;
        margin-left: 10px;
    }
    nav.main-menu li.mega-menu-item > a.mega-menu-link.active:after {
        content: "\f106";
    }
    nav.main-menu li.mega-menu-item.on > a.mega-menu-link:after{
        content: "\f107";
    }
    nav.main-menu ul.menu-left > li:last-child > ul.mega-submenu{
        border-bottom: solid 1px #e0e0e0;
    }
    nav.main-menu ul.menu li.mega-menu-item ul.mega-submenu{
        width: 100%;
        background-color: transparent;
        float: none;
        border: none;
        transform: unset;
        transition: unset;
        padding: 0 0 10px 15px;
        -moz-box-shadow: 0px 0px 0px;
        -webkit-box-shadow: 0px 0px 0px;
        -o-box-shadow: 0px 0px 0px;
        box-shadow: 0px 0px 0px;
        -moz-border-radius: 0px 0px 0px;
        -webkit-border-radius: 0px 0px 0px;
        -o-border-radius: 0px 0px 0px;
        border-radius: 0px 0px 0px;
        display: none;
    }
    nav.main-menu ul.menu li.mega-menu-item ul.mega-submenu.active{
        display: block;
    }
    nav.main-menu ul.menu li ul.mega-submenu li.active > a { background-color: transparent; }
    nav.main-menu ul.menu ul.mega-submenu li.mega-menu-item.on > ul.mega-submenu{
        display: inline-block;
        margin-top: -10px;
    }
    nav.main-menu .mega-menu-item .megamenu-content .col-menu .title{
        padding: 10px 15px 10px 0;
        margin-bottom: 0;
        line-height: 24px;
        font-size: 14px;
        text-transform: none;
        font-weight: 500;
        letter-spacing: 0px;
        cursor: pointer;
        background-color: transparent;
        border-right: 0;
        border-bottom: solid 1px rgba( 93,93,93,0.1);
    }
   nav.main-menu .mega-menu-item .megamenu-content .col-menu .title:before{
        font-family: 'Font Awesome 6 Pro';
        content: "\f105";
        float: right;
        font-size: 16px;
        margin-left: 10px;
        position: relative;
        right: 0;
    }
    nav.main-menu .mega-menu-item .megamenu-content .col-menu:last-child .title{
        border-bottom: none;
    }
    nav.main-menu .mega-menu-item .megamenu-content .col-menu.on:last-child .title{
        border-bottom: solid 1px #e0e0e0;
    }
    nav.main-menu .mega-menu-item .megamenu-content .col-menu:last-child ul.menu-col li:last-child a{
        border-bottom: none;
    }
    nav.main-menu .mega-menu-item .megamenu-content .col-menu.on .title:before{
        content: "\f107";
    }
    nav.main-menu .megamenu-content{
        padding: 0;
    }
    nav.main-menu .megamenu-content .megamenu-content{
        padding-bottom: 0;
        max-width: 100%;
        flex: 100%;
        display: block;
    }
    nav.main-menu .megamenu-content .title{
        cursor: pointer;
        display: block;
        padding: 10px 15px;
        margin-bottom: 0;
        font-weight: normal;
    }
    nav.main-menu .megamenu-content .menu-col{
        display: none;
    }
     nav.main-menu .megamenu-content .menu-col.active{
        display: block;
    }
    nav.main-menu .megamenu-content .megamenu-content-inner { padding: 0 15px; }
}
